Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.statcato.statistics.inferential.nonparametrics
Class WilcoxonSignedRankTest

    java.lang.Object
      org.statcato.statistics.inferential.nonparametrics.WilcoxonSignedRankTest

    public class WilcoxonSignedRankTest

extends java.lang.Object

Wilcoxon Signed Rank test. A nonparametic test for claims regarding the median of a single population. Samples are ranked by their absolute distances from the hypothesized median. The ranks of sample values that are above the hypothesized median are given positive signs; those of values below the hypothesized median are given negative signs. The sums of the ranks corresponding to positive and negative signs are computed, respectively. The rank sums are used as test statistics.

Since:
  1.0
Version:
  %I%, %G%
Author:
  Margaret Yau

Field Summary
`static int` | `GREATER` Alternative hypothesis type: greater than
`static int` | `LESS` Alternative hypothesis type: less than
`static int` | `NOTEQUAL` Alternative hypothesis type: not equal to
`double` | `significance` Significance of the test.

Constructor Summary
`WilcoxonSignedRankTest(java.util.Vector<java.lang.Double> data, double testMedian, int testType, double significance)` Constructor, given data values.

Method Summary
`double` | `getRankSum(java.util.Vector<java.lang.Double> data)` Returns the rank sum of the given data (negative rank sum for right-tailed test, positive rank sum for left-tailed, and minimum of the two rank sums for two-tailed).
`double` | `pValue()` Returns the p-value.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LESS

    public static int LESS

  Alternative hypothesis type: less than

### GREATER

    public static int GREATER

  Alternative hypothesis type: greater than

### NOTEQUAL

    public static int NOTEQUAL

  Alternative hypothesis type: not equal to

### significance

    public double significance

  Significance of the test.

Constructor Detail

### WilcoxonSignedRankTest

    public WilcoxonSignedRankTest(java.util.Vector<java.lang.Double> data,
                                  double testMedian,
                                  int testType,
                                  double significance)

  Constructor, given data values.

  Parameters:
    `data` - vector of double values
    `testMedian` - hypothesized median
    `testType` - type of alternative hypothesis

Method Detail

### pValue

    public double pValue()

  Returns the p-value.

  Returns:
    p-value

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getRankSum

    public double getRankSum(java.util.Vector<java.lang.Double> data)

  Returns the rank sum of the given data (negative rank sum for right-tailed test, positive rank sum for left-tailed, and minimum of the two rank sums for two-tailed).

  Parameters:
    `data` - vector of Double values
  Returns:
    rank sum

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD